Package javax.mail.event

## Class TransportAdapter

- java.lang.Object
- - javax.mail.event.TransportAdapter

All Implemented Interfaces:
  `EventListener`, `TransportListener`

    public abstract class TransportAdapter
    extends Object
    implements TransportListener

The adapter which receives Transport events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Author:
  John Mani

### Constructor Summary

Constructors
`TransportAdapter​()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `messageDelivered​(TransportEvent e)` Invoked when a Message is succesfully delivered.
`void` `messageNotDelivered​(TransportEvent e)` Invoked when a Message is not delivered.
`void` `messagePartiallyDelivered​(TransportEvent e)` Invoked when a Message is partially delivered.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransportAdapter

    public TransportAdapter​()

### Method Detail

#### messageDelivered

    public void messageDelivered​(TransportEvent e)

Description copied from interface: `TransportListener`
Invoked when a Message is succesfully delivered.

Specified by:
  `messageDelivered` in interface `TransportListener`
Parameters:
  `e` - TransportEvent

#### messageNotDelivered

    public void messageNotDelivered​(TransportEvent e)

Description copied from interface: `TransportListener`
Invoked when a Message is not delivered.

Specified by:
  `messageNotDelivered` in interface `TransportListener`
Parameters:
  `e` - TransportEvent
See Also:
  `TransportEvent`

#### messagePartiallyDelivered

    public void messagePartiallyDelivered​(TransportEvent e)

Description copied from interface: `TransportListener`
Invoked when a Message is partially delivered.

Specified by:
  `messagePartiallyDelivered` in interface `TransportListener`
Parameters:
  `e` - TransportEvent
See Also:
  `TransportEvent`